package com.qmth.sop.business.bean.dto;

import com.qmth.sop.common.enums.SopRoleTypeEnum;
import io.swagger.annotations.ApiModelProperty;

public class UserArchivesAllocationDto {

    @ApiModelProperty(value = "人员档案ID")
    private Long userId;

    @ApiModelProperty(value = "人员所属角色")
    private SopRoleTypeEnum sopRoleType;

    @ApiModelProperty(value = "人员档案姓名")
    private String userName;

    @ApiModelProperty(value = "人员档案电话")
    private String mobileNumber;

    @ApiModelProperty(value = "所属人力供应商")
    private String supplierName;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public SopRoleTypeEnum getSopRoleType() {
        return sopRoleType;
    }

    public void setSopRoleType(SopRoleTypeEnum sopRoleType) {
        this.sopRoleType = sopRoleType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
